Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.SwitchLabelContext

- org.apache.groovy.parser.antlr4.GroovyParser.SwitchLabelContext

-     public static class GroovyParser.SwitchLabelContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwitchLabelContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `CASE()`
    `` | `public TerminalNode` | `COLON()`
    `` | `public TerminalNode` | `DEFAULT()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ExpressionContext` | `expression()`
    `` | `public int` | `getRuleIndex()`

- - ### Constructor Detail

    - #### public SwitchLabelContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode CASE()

    - #### public TerminalNode COLON()

    - #### public TerminalNode DEFAULT()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ExpressionContext expression()

    - #### @Override
      public int getRuleIndex()